
do
	--Slash handler
	SlashCmdList["META"] = function() InterfaceOptionsFrame_OpenToCategory("Meta") end
	SLASH_META1 = "/meta"

	--Begin GUI
	meta = {}
	meta.panel = CreateFrame( "Frame", "MyAddonPanel", InterfaceOptionsFramePanelContainer)
	meta.panel:Hide()
	meta.panel.name = "Meta"
	InterfaceOptions_AddCategory(meta.panel)

	local title = meta.panel:CreateFontString("metaConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("Meta v1.0")

	--local values
	local isReady = false
	
	--Button, Locked/Unlocked, Movable or static
	local runButton = CreateFrame("Button", "metaRunButton", meta.panel, "UIPanelButtonTemplate")
	runButton:SetWidth(110)
	runButton:SetHeight(20)
	runButton:SetPoint("TOPLEFT", 16, -35) 
	runButton:SetText("Group Check")
	
	runButton:SetScript("OnClick", function(frame)
		if not isReady then
			print("No achievement Selected")
		else
			partyMembers = GetNumGroupMembers()
			Meta:makeTable()
			Meta:SweepSelfDummy()
			if(IsInRaid()) then
				Meta:PartyCheckAchieve(partyMembers,"raid")
			elseif(IsInGroup()) then
				Meta:PartyCheckAchieve(partyMembers - 1,"Party")
			end
		end
	end)
	
	local achieveSelector = CreateFrame('Frame', 'MetaAchieveSelection', meta.panel, 'UIDropDownMenuTemplate')
	achieveSelector:SetPoint('TOPLEFT', runButton, 'BOTTOMLEFT', -15, -5)
	UIDropDownMenu_SetWidth(achieveSelector, 200, 0) 
	UIDropDownMenu_SetText(achieveSelector,"--Achievement Select--")
	
	local InitializeDropdown = function(self, level)
	local info = UIDropDownMenu_CreateInfo()
		if level == 1 then
			info.text = "Glory of the Ulduar Raider 10"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 13
				currentAch[2] = "Glory of the Ulduar Raider 10"
				currentAch[3] = theList
				theList[0]=3056;theList[1]=2923;theList[2]=2914;theList[3]=3006;
				theList[4]=3176;theList[5]=3180;theList[6]=3158;theList[7]=2930;
				theList[8]=3058;theList[9]=2953;theList[10]=3182;theList[11]=3179;
				theList[12]=3181;
				UIDropDownMenu_SetText(achieveSelector,"Glory of the Ulduar Raider 10")
			end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "Glory of the Ulduar Raider 25"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 13
				currentAch[2] = "Glory of the Ulduar Raider 25"
				currentAch[3] = theList
				theList[0]=3057;theList[1]=2924;theList[2]=2944;theList[3]=3007;
				theList[4]=3183;theList[5]=3189;theList[6]=3163;theList[7]=2929;
				theList[8]=3059;theList[9]=2954;theList[10]=3184;theList[11]=3187;
				theList[12]=3188;
				UIDropDownMenu_SetText(achieveSelector,"Glory of the Ulduar Raider 25")
			end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "Glory of the Cataclysm Raider"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 24
				currentAch[2] = "Glory of the Cataclysm Raider"
				currentAch[3] = theList
				theList[0]=5094;theList[1]=5108;theList[2]=5115;theList[3]=5118;
				theList[4]=5119;theList[5]=5122;theList[6]=5306;theList[7]=5308;
				theList[8]=5310;theList[9]=5300;theList[10]=5311;theList[11]=5304;
				theList[12]=5107;theList[13]=5109;theList[14]=5116;theList[15]=5117;
				theList[16]=5120;theList[17]=5123;theList[18]=5307;theList[19]=5309;
				theList[20]=4849;theList[21]=4852;theList[22]=5312;theList[23]=5305;
				UIDropDownMenu_SetText(achieveSelector,"Glory of the Cataclysm Raider")
			end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "Glory of the Firelands Raider"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 12
				currentAch[2] = "Glory of the Firelands Raider"
				currentAch[3] = theList
				theList[0]=5807;theList[1]=5806;theList[2]=5805;theList[3]=5821;
				theList[4]=5813;theList[5]=5830;theList[6]=5808;theList[7]=5809;
				theList[8]=5804;theList[9]=5810;theList[10]=5829;theList[11]=5799;
				UIDropDownMenu_SetText(achieveSelector,"Gory of the Firelands Raider")
			end
			UIDropDownMenu_AddButton(info, level)
		
			info.text = "Glory of the Dragon Soul Raider"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 14
				currentAch[2] = "Glory of the Dragon Soul Raider"
				currentAch[3] = theList
				theList[0]=6109;theList[1]=6111;theList[2]=6113;theList[3]=6174;
				theList[4]=6128;theList[5]=6084;theList[6]=6133;theList[7]=6110;
				theList[8]=6112;theList[9]=6114;theList[10]=6129;theList[11]=6175;
				theList[12]=6105;theList[13]=6180;
				UIDropDownMenu_SetText(achieveSelector,"Glory of the Dragon Soul Raider")
			end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "Glory of the Pandarian Hero"
			info.checked = false
			info.func = function()
				isReady = true
				currentAch[1] = 28
				currentAch[2] = "Glory of the Pandarian Hero"
				currentAch[3] = theList
				theList[0]=6925;theList[1]=6475;theList[2]=6420;theList[3]=6400;
				theList[4]=6478;theList[5]=6713;theList[6]=6472;theList[7]=6479;
				theList[8]=6684;theList[9]=6928;theList[10]=6531;theList[11]=6396;
				theList[12]=6688;theList[13]=6822;theList[14]=6460;theList[15]=6671;
				theList[16]=6089;theList[17]=6402;theList[18]=6736;theList[19]=6477;
				theList[20]=6471;theList[21]=6476;theList[22]=6427;theList[23]=6929;
				theList[24]=6394;theList[25]=6821;theList[26]=6485;theList[27]=6715;
				UIDropDownMenu_SetText(achieveSelector,"Glory of the Pandarian Hero")
			end
			UIDropDownMenu_AddButton(info, level)
		end
	end
	UIDropDownMenu_Initialize(achieveSelector, InitializeDropdown)
end